package com.persagy.proxy.adm.constant;

/**
 * 数据的来源为 {@link com.persagy.proxy.adm.constant.AdmRelationTypeEnum} 的relationType字段
 * 部分字段为自定义
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月3日 上午9:55:09
 */
public interface AdmRelationType {

	/** Bd2Fl_ArchSubset  表示从属关系*/
	String BD2FL_ARCHSUBSET = "bd2fl_ArchSubset";
	
	String EQ2BD = "eq2bd";
	
	String EQ2FL = "eq2fl";
	
	String EQ2SP = "eq2sp";

	String EQ2BD_FOR = "eq2bd_for";
	
	String EQ2FL_FOR = "eq2fl_for";
	
	String EQ2SH_FOR = "eq2sh_for";
	
	String SY2BD_FOR = "sy2bd_for";
	
	String SY2FL_FOR = "sy2fl_for";
	
	String SY2SH_FOR = "sy2sh_for";
	
	String SY2SP_FOR = "sy2sp_for";
	
	String SH2BD_ARCHFORARCH = "sh2bd_ArchForArch";
	
	String SH2FL_ARCHFORARCH = "sh2fl_ArchForArch";
	
	String SH2SH_ARCHFORARCH = "sh2sh_ArchForArch";
	
	String SH2SP_ARCHFORARCH = "sh2sp_ArchForArch";
	
	String SP2BD_ARCHFORARCH = "sp2bd_ArchForArch";
	
	String SP2FL_ARCHFORARCH ="sp2fl_ArchForArch";
	
	String SP2SP_RADIATIONNETWORK_2 = "sp2sp_RadiationNetwork_2";
	
	String SP2SP_RADIATIONNETWORK_1 = "sp2sp_RadiationNetwork_1";
	
	String SP2SP_CONVECTIONNETWORK_2 = "sp2sp_ConvectionNetwork_2";
	
	String SP2SP_CONVECTIONNETWORK_3 = "sp2sp_ConvectionNetwork_3";
	
	String SP2SP_CONVECTIONNETWORK_1 = "sp2sp_ConvectionNetwork_1";
	
	String SP2SP_TRAFFICNETWORK_3 = "sp2sp_TrafficNetwork_3";
	
	String SP2SP_TRAFFICNETWORK_2 = "sp2sp_TrafficNetwork_2";
	
	String SP2SP_TRAFFICNETWORK_1 = "sp2sp_TrafficNetwork_1";
	
	String EQ2EQ_EQUIPPOWER_1 = "eq2eq_EquipPower_1";
	
	String EQ2EQ_EQUIPPOWER_2 = "eq2eq_EquipPower_2";
	
	String EQ2EQ_EQUIPPOWER_3 = "eq2eq_EquipPower_3";
	
	String EQ2EQ_EQUIPPOWER_4 = "eq2eq_EquipPower_4";
	
	String EQ2EQ_SENSORRELATIONSHIP_SS2EQ = "eq2eq_SensorRelationship_ss2eq";
	
	String EQ2SY_SENSORRELATIONSHIP_SS2SY = "eq2sy_SensorRelationship_ss2sy";
	
	String EQ2SP_SENSORRELATIONSHIP_SS2SP = "eq2sp_SensorRelationship_ss2sp";
	
}
